org.apache.sysds.runtime.compress.cocode

## Class PlanningCoCoder

- java.lang.Object
- - org.apache.sysds.runtime.compress.cocode.PlanningCoCoder

-     public class PlanningCoCoder
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PlanningCoCoder.Memorizer`
    `static class` | `PlanningCoCoder.PartitionerType` The Valid coCoding techniques

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanningCoCoder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompressedSizeInfo` | `findCoCodesByPartitioning(CompressedSizeEstimator est, CompressedSizeInfo colInfos, int numRows, int k, CompressionSettings cs)` Main entry point of CoCode.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanningCoCoder

          public PlanningCoCoder()

  - ### Method Detail

    - #### findCoCodesByPartitioning

          public static CompressedSizeInfo findCoCodesByPartitioning(CompressedSizeEstimator est,
                                                                     CompressedSizeInfo colInfos,
                                                                     int numRows,
                                                                     int k,
                                                                     CompressionSettings cs)

      Main entry point of CoCode. This package groups together ColGroups across columns, to improve compression further,
      Parameters:
        `est` - The size estimator used for estimating ColGroups potential sizes.
        `colInfos` - The information already gathered on the individual ColGroups of columns.
        `numRows` - The number of rows in the input matrix.
        `k` - The concurrency degree allowed for this operation.
        `cs` - The compression settings used in the compression.
      Returns:
        The estimated (hopefully) best groups of ColGroups.

Copyright © 2021 The Apache Software Foundation. All rights reserved.